Debian Bug report logs - #282561
RM: printbill -- RoQA; unmaintained, unused, dead upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Tue, 23 Nov 2004 02:48:03 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Franklin <d.franklin@ieee.org>, <wnpp@debian.org>:
Bug#282561; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Daniel Franklin <d.franklin@ieee.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: printbill -- Sophisticated print billing / accounting system for lprng
Date: Tue, 23 Nov 2004 03:43:19 +0100
Package: wnpp
Severity: normal

The current maintainer of printbill, Daniel Franklin <d.franklin@ieee.org>, is
looking for a new Debian maintainer of his package. Being also the upstream
author of it, he currently doesn't have the time anymore to also be the Debian
maintainer.

If you want to be the new maintainer, please get in contact with the
maintainer first. A new upstream version is in the works, but not yet
finalized, ask the maintainer about the current status.

Some information about this package:

Package: printbill
Binary: printbill
Version: 4.1.2-1
Priority: extra
Section: text
Maintainer: Daniel Franklin <d.franklin@ieee.org>
Build-Depends: debhelper, libpng2-dev | libpng3-dev | libpng12-dev
Architecture: any
Standards-Version: 3.5.2
Format: 1.0
Directory: pool/main/p/printbill
Files: 544beb953e05184cdf289fda0cd19a83 579 printbill_4.1.2-1.dsc
 313a184b1b321aec083873423bedb97e 116620 printbill_4.1.2-1.tar.gz

Package: printbill
Priority: extra
Section: text
Installed-Size: 584
Maintainer: Daniel Franklin <d.franklin@ieee.org>
Architecture: i386
Version: 4.1.2-1
Depends: gs, gsfonts, exim | mail-transport-agent, perl, lprng, debconf (>= 1.2.9), perl-modules, magicfilter, libc6 (>= 2.3.1-1), libpng2(>=1.0.12)
Recommends: apache
Suggests: samba, gnuplot
Filename: pool/main/p/printbill/printbill_4.1.2-1_i386.deb
Size: 125666
MD5sum: 8a7f21b393a9f46e2819848d0b169150
Description: Sophisticated print billing / accounting system for lprng
 Printbill calculates the amount of ink/toner and the number of pages used
 when printing a document. It uses ghostscript to convert postscript files
 into PNG bitmaps, then calls percentblack or percentcolour to determine the
 percentage coverage. Prices may be independently determined for for each
 printer, with set rates for black and colour ink/toner and per-page. Bill
 calculation is quite CPU intensive so printbill allows multiple concurrent
 billing processes to be executed - jobs may not be printed in the order in
 which they are sent to the queue. On SMP systems printbill will happily
 make use of all processors if so instructed. Printbill can bill before
 or after printing, or can be configured to only perform accounting. It is
 possible to bill based only on pagecount, but although it is much faster,
 it is easy to fool and is not recommended.
 .
 Users pre-pay a quota and this is automatically decremented as they print -
 alternatively one may just do per-user and per-printer accounting with no
 billing. Various mechanisms exist for generating a quote. Printbill also
 keeps detailed statistics on printing habits which may be of interest to
 administrators. The system may be managed via either a command-line
 application or via a convenient web interface (for non-tech people).



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282561; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Huriaux <thomas.huriaux@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 282561@bugs.debian.org (full text, mbox):

From: Thomas Huriaux <thomas.huriaux@gmail.com>
To: debian-qa@lists.debian.org, 282561@bugs.debian.org
Subject: Should we remove printbill?
Date: Sat, 14 Jan 2006 17:45:59 +0100
[Message part 1 (text/plain, inline)]
Hi,

printbill seems to be dead upstream, RFA-bug (#282561) open more than
one year ago, last maintainer upload 3 years ago (1 NMU to fix 1 RC-bug
since this upload), only 1 popcon vote.

Any objections for its removal from unstable?

-- 
Thomas Huriaux
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#282561; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 282561@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: debian-qa@lists.debian.org, 282561@bugs.debian.org
Subject: Re: Should we remove printbill?
Date: Sun, 15 Jan 2006 06:12:16 +1100
[Message part 1 (text/plain, inline)]
On Sat, Jan 14, 2006 at 05:45:59PM +0100, Thomas Huriaux wrote:
> printbill seems to be dead upstream, RFA-bug (#282561) open more than
> one year ago, last maintainer upload 3 years ago (1 NMU to fix 1 RC-bug
> since this upload), only 1 popcon vote.
> 
> Any objections for its removal from unstable?

Toss it.  It was pretty innovative for it's time, but it's been superceded
by newer and shinier things since then.

- Matt
(who sponsored Daniel's printbill uploads when he was making them, and was a
long time benefactor of it's existence back in the day)
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 282561-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 282561-close@bugs.debian.org
Cc: printbill@packages.debian.org, printbill@packages.qa.debian.org
Subject: Bug#282561: fixed
Date: Tue, 17 Jan 2006 15:14:19 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 printbill |    4.1.2-1 | ia64
 printbill |  4.1.2-1.1 | source, hppa, hurd-i386, i386
 printbill | 4.1.2-1.1.1 | alpha, arm, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 282561@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 11:50:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:25:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.